Ansible Plugin - Issue #4970

Collection - RepositoryDistribution does not provide url to consume to cosume content from Pulp
06/13/2019 10:14 PM - kersom

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: fao89 Estimated time: 0:00 hour
Category:

Sprint/Milestone: 0.2.0

Severity: 2. Medium Sprint Candidate: No
Platform Release: Tags:

0sS: Sprint: Sprint 56
Triaged: Yes Quarter:

Groomed: No

Description

An ansible/collection distribution does not have a url that one can consume content from Pulp easily.

{'_created': '2019-06-13T19:23:35.909675Z"',

'_href': '/pulp/api/v3/distributions/ansible/ansible/fc54c057-bd10-46£9-84aa-6968def7c36e/",
'base_path': '92afef62-ab7c-458£-9199-4£f8ce27447£0",

'base_url': '192.168.122.111:24816/pulp/content/92afef62-ab7¢c-458f-9199-4f8ce27447£0",
'content_guard': None,

'name': '75d710c1-d995-4ef1-a981-60c925b9%679"',

'repository': '/pulp/api/v3/repositories/e7e09c87-6d3c-4514-afcd-albbeedeal’o6/"’,
'repository_version': None}

See: https://pulp-ansible.readthedocs.io/en/latest/workflows/mazer-client.html#install-a-collection-hosted-by-pulp-using-mazer

url: http://localhost:24817/pulp_ansible/galaxy/dev

This is assuming you have the Collection content exposed at a Distribution created with base_path=
dev (as in the example above).

Extra steps required in order to build the url to consume content using mazer.

Associated revisions

Revision 3c065bcf - 07/31/2019 10:25 PM - Fabricio Aguiar

adding mazer_url to AnsibleDistribution

closes #4970

History

#1 - 06/13/2019 10:19 PM - kersom

- Subject changed from Collection - RepostoryDistribution does not provide url to consume to cosume content from Pulp to Collection -
RepositoryDistribution does not provide url to consume to cosume content from Pulp

#2 - 07/30/2019 09:11 PM - daviddavis
- Triaged changed from No to Yes
- Sprint set to Sprint 56

Remove the field base_url and add a field called mazer_url.

#3 - 07/31/2019 07:12 PM - fao89
- Status changed from NEW to ASSIGNED

- Assignee set to fao89
https://pulp-ansible.readthedocs.io/en/latest/workflows/mazer-client.html#install-a-collection-hosted-by-pulp-using-mazer

#4 - 07/31/2019 08:08 PM - fao89
- Status changed from ASSIGNED to POST

https://github.com/pulp/pulp_ansible/pull/149

#5 - 08/01/2019 01:59 PM - Anonymous
- Status changed from POST to MODIFIED

Applied in changeset pulp_ansible|3c065bcf8510626a765d787ae7dcad29bcacc10d.

#6 - 08/13/2019 04:33 PM - kersom

The current tests were modified to use this newly added field.

#7 - 08/17/2020 07:52 PM - fao89
- Sprint/Milestone set to 0.2.0

#8 - 09/23/2020 10:01 PM - bmbouter
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
